Dropdowns/popups/etc. always open downwards if the anchor is partially offscreen, even when they should open upwards
Closed, ResolvedPublic

Description

Dropdowns/popups/etc. always open downwards if the anchor is partially offscreen, even when they should open upwards.

The main reason I'm writing on this ticket is to get confirmation if following behavior is expected; When button itself is clipped, the popup does not adjust pop up direction to be above the button, but is rather displayed below the button and clipped alongside.

Same issue affects built-in widgets like DropdownWidget.

matmarex created this task.Dec 12 2017, 4:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2017, 4:23 AM

Change 397736 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[oojs/ui@master] Fix popup direction changing when the "anchor" is partially offscreen

https://gerrit.wikimedia.org/r/397736

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Dec 13 2017, 8:07 AM
Volker_E moved this task from Reviewing to OOUI-0.25.0 on the OOUI board.Jan 9 2018, 9:40 PM
Volker_E edited projects, added OOUI (OOUI-0.25.0); removed OOUI.
Volker_E closed this task as Resolved.
Volker_E triaged this task as Normal priority.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.

Change 397736 merged by jenkins-bot:
[oojs/ui@master] Fix popup direction changing when the "anchor" is partially offscreen

https://gerrit.wikimedia.org/r/397736